[DRE-commits] [vagrant-lxc] 02/06: debian/tests: don't hardcode jessie as current stable

Antonio Terceiro terceiro at moszumanska.debian.org
Mon Apr 11 17:50:59 UTC 2016


This is an automated email from the git hooks/post-receive script.

terceiro pushed a commit to branch master
in repository vagrant-lxc.

commit 77e47583429f763ba09ae897d054cc09fcc45a11
Author: Antonio Terceiro <terceiro at softwarelivre.org>
Date:   Mon Apr 11 14:10:43 2016 -0300

    debian/tests: don't hardcode jessie as current stable
---
 debian/tests/basics  | 9 ++++++---
 debian/tests/control | 2 +-
 2 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/debian/tests/basics b/debian/tests/basics
index bc103f4..2c3ae62 100755
--- a/debian/tests/basics
+++ b/debian/tests/basics
@@ -5,6 +5,9 @@ set -exu
 
 export VAGRANT_DEFAULT_PROVIDER=lxc
 
+release=$(debian-distro-info --stable)
+box=debian/${release}64
+
 if [ -z "$ADTTMP" ]; then
   ADTTMP=$(mktemp -d)
   trap "rm -rf $ADTTMP" INT TERM EXIT
@@ -18,12 +21,12 @@ lxc.network.flags = up
 lxc.network.link = lxcbr0
 EOF
 
-if ! (vagrant box list | grep debian/jessie64); then
-  vagrant box add --force --provider=$VAGRANT_DEFAULT_PROVIDER debian/jessie64
+if ! (vagrant box list | grep $box); then
+  vagrant box add --force --provider=$VAGRANT_DEFAULT_PROVIDER $box
 fi
 
 cd $ADTTMP
-vagrant init debian/jessie64
+vagrant init $box
 vagrant up
 vagrant ssh -- uname -a
 vagrant halt
diff --git a/debian/tests/control b/debian/tests/control
index 6296df8..7dbf822 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,3 +1,3 @@
 Tests: basics
-Depends: vagrant, @
+Depends: vagrant, @, distro-info
 Restrictions: needs-root, needs-recommends, breaks-testbed, isolation-machine

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/vagrant-lxc.git



More information about the Pkg-ruby-extras-commits mailing list